Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.cldc.jna
Class Windows

    java.lang.Object
      com.sun.cldc.jna.Platform
          com.sun.cldc.jna.Windows

    public class Windows

extends Platform

Author:
  dw29446

Field Summary

Fields inherited from class com.sun.cldc.jna.Platform
`commonMappings, PLATFORM_PACKAGE`

Constructor Summary
`Windows()`

Method Summary
`boolean` | `deleteNativeLibraryAfterVMExit()`
`String` | `getPlatformNativePackageName()` Get the name of the package that contains the native implementation for this platform:
`String` | `getPlatformPackageName()` Get the name of the package that contains the native implementation for this platform:
`boolean` | `hasRuntimeExec()`
`boolean` | `isFreeBSD()`
`boolean` | `isLinux()`
`boolean` | `isMac()`
`boolean` | `isOpenBSD()`
`boolean` | `isSolaris()`
`boolean` | `isWindows()`
`boolean` | `isWindowsCE()`
`boolean` | `isX11()`

Methods inherited from class com.sun.cldc.jna.Platform
`commonLibraryMapping, getPlatform, platformName, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Windows

    public Windows()

Method Detail

### deleteNativeLibraryAfterVMExit

    public boolean deleteNativeLibraryAfterVMExit()

  Specified by:
    `deleteNativeLibraryAfterVMExit` in class `Platform`

### hasRuntimeExec

    public boolean hasRuntimeExec()

  Specified by:
    `hasRuntimeExec` in class `Platform`

### isFreeBSD

    public boolean isFreeBSD()

  Specified by:
    `isFreeBSD` in class `Platform`

### isLinux

    public boolean isLinux()

  Specified by:
    `isLinux` in class `Platform`

### isMac

    public boolean isMac()

  Specified by:
    `isMac` in class `Platform`

### isOpenBSD

    public boolean isOpenBSD()

  Specified by:
    `isOpenBSD` in class `Platform`

### isSolaris

    public boolean isSolaris()

  Specified by:
    `isSolaris` in class `Platform`

### isWindows

    public boolean isWindows()

  Specified by:
    `isWindows` in class `Platform`

### isWindowsCE

    public boolean isWindowsCE()

  Specified by:
    `isWindowsCE` in class `Platform`

### isX11

    public boolean isX11()

  Specified by:
    `isX11` in class `Platform`

### getPlatformPackageName

    public String getPlatformPackageName()

  Get the name of the package that contains the native implementation for this platform:

  Specified by:
    `getPlatformPackageName` in class `Platform`

### getPlatformNativePackageName

    public String getPlatformNativePackageName()

  Get the name of the package that contains the native implementation for this platform:

  Specified by:
    `getPlatformNativePackageName` in class `Platform`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"